## net.i2p.router.web
Class CSSHelper

    java.lang.Object
      net.i2p.router.web.HelperBase
          net.i2p.router.web.CSSHelper

    public class CSSHelper

extends HelperBase

Copied and modded from I2PTunnel IndexBean (GPL)

Author:
  zzz

Field Summary
`static java.lang.String` `DEFAULT_REFRESH`
`static java.lang.String` `DEFAULT_THEME`
`static java.lang.String` `PROP_REFRESH`
`static java.lang.String` `PROP_THEME_NAME`

Fields inherited from class net.i2p.router.web.HelperBase
`_context, _out`

Constructor Summary
`CSSHelper()`

Method Summary
`java.lang.String` `getLang()` needed for conditional css loads for zh
`java.lang.String` `getRefresh()`
`java.lang.String` `getTheme(java.lang.String userAgent)`
`void` `setLang(java.lang.String lang)` change default language for the router but don't save it
`void` `setRefresh(java.lang.String r)` change refresh and save it
`java.lang.String` `title(java.lang.String s)` translate the title and display consistently

Methods inherited from class net.i2p.router.web.HelperBase
`_, _, _, _, _x, setContextId, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_THEME_NAME

    public static final java.lang.String PROP_THEME_NAME

See Also:
  Constant Field Values

### DEFAULT_THEME

    public static final java.lang.String DEFAULT_THEME

See Also:
  Constant Field Values

### PROP_REFRESH

    public static final java.lang.String PROP_REFRESH

See Also:
  Constant Field Values

### DEFAULT_REFRESH

    public static final java.lang.String DEFAULT_REFRESH

See Also:
  Constant Field Values

Constructor Detail

### CSSHelper

    public CSSHelper()

Method Detail

### getTheme

    public java.lang.String getTheme(java.lang.String userAgent)

### setLang

    public void setLang(java.lang.String lang)

  change default language for the router but don't save it

### getLang

    public java.lang.String getLang()

  needed for conditional css loads for zh

### setRefresh

    public void setRefresh(java.lang.String r)

  change refresh and save it

### getRefresh

    public java.lang.String getRefresh()

  Returns:
    refresh time in seconds, as a string

### title

    public java.lang.String title(java.lang.String s)

  translate the title and display consistently